searchData={"items":[{"type":"module","title":"Candid","doc":"Candid is a binary encoding format for the Internet Computer (ICP).\nhttps://github.com/dfinity/candid/blob/master/spec/Candid.md\n\nThis module encodes and decodes the format allowing to encode requests\nto the ICP network and decode responses.\n\n```elixir\n  type_spec = [{:vec, {:record, [{0, :blob}, {1, :blob}]}}]\n\n  messages = [\n    {\"key1\", \"hello world\"},\n    {\"key2,\" \"hello candid\"}\n  ]\n\n  ^messages = Candid.encode_parameters(type_spec, messages)\n  |> Candid.decode_parameters()\n```","ref":"Candid.html"},{"type":"function","title":"Candid.decode_parameters/1","doc":"","ref":"Candid.html#decode_parameters/1"},{"type":"function","title":"Candid.encode_parameters/2","doc":"Encodes a list of types and values into a Candid binary parameter string.\n\nExample:\n\n```elixir\nCandid.encode_parameters([:int, :blob], [15, \"hello world\"])\n```","ref":"Candid.html#encode_parameters/2"},{"type":"function","title":"Candid.namehash/1","doc":"","ref":"Candid.html#namehash/1"},{"type":"extras","title":"Candid","doc":"# Candid\n\nCandid is a binary encoding format for the Internet Computer (ICP).\n\nThis library allows to encode and decode Candid messages.","ref":"readme.html"},{"type":"extras","title":"Installation - Candid","doc":"This package can be installed\nby adding `candid` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:candid, \"~> 1.0.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Candid","doc":"```elixir\ntype_spec = [{:vec, {:record, [{0, :blob}, {1, :blob}]}}]\n\nmessages = [\n  {\"key1\", \"hello world\"},\n  {\"key2,\" \"hello candid\"}\n]\n\n^messages = Candid.encode_parameters(type_spec, messages)\n|> Candid.decode_parameters()\n```","ref":"readme.html#usage"},{"type":"extras","title":"Completion - Candid","doc":"This library is currently in the early stages of development and does not yet support all Candid formats (only those we need for our use cases at the moment). PRs and contributions to extend this library are welcome though!","ref":"readme.html#completion"},{"type":"extras","title":"Documentation - Candid","doc":"The documentation for this library can be found at [https://hexdocs.pm/candid](https://hexdocs.pm/candid).","ref":"readme.html#documentation"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}